org.eclipse.wst.jsdt.js.common.build.system.launch.ui

## Class GenericBuildSystemTab

- java.lang.Object
- - AbstractLaunchConfigurationTab
  - - org.eclipse.wst.jsdt.js.common.build.system.launch.ui.GenericBuildSystemTab

    public abstract class GenericBuildSystemTab
    extends AbstractLaunchConfigurationTab

### Field Summary

Fields
`protected Text` `buildFileText`
`protected Text` `parametersText`
`protected Combo` `tasksCommbo`

### Constructor Summary

Constructors
Constructor and Description
`GenericBuildSystemTab()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `createControl(Composite parent)`
`protected IFile` `getBuildFile()`
`java.lang.String` `getName()`
`protected java.lang.String[]` `getTaskNames(java.util.Set<ITask> tasks)`
`protected abstract java.lang.String[]` `getTasksFromFile(IFile file)`
`protected void` `handleBuildFileButtonSelected()`
`protected void` `updateTasks(java.lang.String[] tasks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### buildFileText

    protected Text buildFileText

#### tasksCommbo

    protected Combo tasksCommbo

#### parametersText

    protected Text parametersText

### Constructor Detail

#### GenericBuildSystemTab

    public GenericBuildSystemTab()

### Method Detail

#### getTasksFromFile

    protected abstract java.lang.String[] getTasksFromFile(IFile file)
                                                    throws JavaScriptModelException

Throws:
  `JavaScriptModelException`

#### createControl

    public void createControl(Composite parent)

#### getName

    public java.lang.String getName()

#### updateTasks

    protected void updateTasks(java.lang.String[] tasks)

#### handleBuildFileButtonSelected

    protected void handleBuildFileButtonSelected()

#### getBuildFile

    protected IFile getBuildFile()

#### getTaskNames

    protected java.lang.String[] getTaskNames(java.util.Set<ITask> tasks)